aboutsummaryrefslogtreecommitdiff
path: root/net/fs
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 23:51:43 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 23:51:43 +0000
commit65d91a2968762e5a75b14364bf35a01d79431b4e (patch)
treed3284a396909d19817ef9552f47eb0f46aafba93 /net/fs
parent6b58cd82155f6f588fcdfd808f493cde8a849962 (diff)
downloadslackbuilds-65d91a2968762e5a75b14364bf35a01d79431b4e.tar.gz
slackbuilds-65d91a2968762e5a75b14364bf35a01d79431b4e.tar.bz2
movendo libs...
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@688 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'net/fs')
-rwxr-xr-xnet/fs/shfs/shfs.SlackBuild105
1 files changed, 105 insertions, 0 deletions
diff --git a/net/fs/shfs/shfs.SlackBuild b/net/fs/shfs/shfs.SlackBuild
new file mode 100755
index 00000000..daca20f3
--- /dev/null
+++ b/net/fs/shfs/shfs.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/bash
+#
+# slackbuild script for shfs
+# by rhatto at riseup.net
+#
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="shfs"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=0.35}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://easynews.dl.sourceforge.net/sourceforge/shfs/$SRC"
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $PACKAGE-$VERSION
+
+make || exit 32
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+mkdir -p lib/modules/`uname -r`/kernel/fs/shfs
+install -m644 -b -D shfs.ko lib/modules/`uname -r`/kernel/fs/shfs/shfs.ko
+
+mkdir -p usr/bin
+install -m755 -b -D shfsmount usr/bin/shfsmount
+install -m755 -b -D shfsumount usr/bin/shfsumount
+
+mkdir -p sbin
+ln -fs usr/bin/shfsmount sbin/mount.shfs
+
+mkdir -p usr/share/man/man8
+install -m644 -b -D shfsmount.8 usr/share/man/man8/shfsmount.8
+install -m644 -b -D shfsumount.8 usr/share/man/man8/shfsumount.8
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+shfs: shfs
+shfs:
+shfs: SHFS (sshfs) is a simple and easy-to-use Linux kernel module which
+shfs: allows you to mount remote filesystems using a plain shell (SSH)
+shfs: connection. It supports some nice features like file cache for
+shfs: access speedup, and a Perl server, etc.
+shfs:
+shfs:
+shfs:
+shfs:
+shfs:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in COPYING COPYRIGHT Changelog README TODO; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+